Bug Hunting Session
Bug 47707 - PRINTING: Printing windows wrong color indication
Summary: PRINTING: Printing windows wrong color indication
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Rob Snelders
URL:
Whiteboard: BSA target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 04:23 UTC by Massimo Barbieri
Modified: 2012-07-31 22:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot of the window affected by the bug (49.19 KB, image/png)
2012-03-22 04:23 UTC, Massimo Barbieri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Massimo Barbieri 2012-03-22 04:23:14 UTC
Created attachment 58856 [details]
Screen shot of the window affected by the bug

Problem description: In the printing window / tab LibreOffice Impress in the "Color" section the label "Grayscale" and "Black & white" are in a reversed position. "Grayscale" convert the presentation in black and white and "Black and White" convert the presentation in greyscale.

Steps to reproduce:
1. Create new color presentation
2. Select File>Print
3. Chose the tab LibreOffice Impress
4. Try to change color mode then print

Current behavior: (see attach)

Expected behavior: Reverse the position of the two label 

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:10.0.2) Gecko/20100101 Firefox/10.0.2 Iceweasel/10.0.2
Comment 1 Rob 2012-04-07 19:02:29 UTC
I have the same problem with LibreOffice 3.5.1.2 I am running it on Ubuntu 11.10.  The same exact problem is also on LibreOffice 3.3 on a Machine the is running Windows 7.  So it is not a new Problem it has been around for several versions.

robsara7@yahoo.com
Comment 2 Rob Snelders 2012-07-09 16:05:20 UTC
The problem only appears in Impress. In Draw the options do the expected thing.

Tried with 3.7-master and 3.5.3 on Ubuntu X86-64
Comment 3 Rob Snelders 2012-07-27 16:37:30 UTC
Created a patch. Can be found at

https://gerrit.libreoffice.org/#/c/347/
Comment 4 Not Assigned 2012-07-31 10:41:02 UTC
Rob Snelders committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b6bdcc3dafc0cf8193ac321da6d9209923b73cf

- fdo#47707 - PRINTING: Printing windows wrong color indication
Comment 5 Rob Snelders 2012-07-31 22:36:55 UTC
in master